#include <glib.h>
#include <glib-object.h>

#include <libral.h>



int 
main(int argc, char* argv[])
{
  RubricaContact* contact;
  RubricaContact* copy;
  gchar *first, *middle, *last, *nick, *prof, *pref, *title, *photo;
  gchar *day, *month, *year; 
  

  g_type_init();
  
  contact = rubrica_contact_new();

  rubrica_contact_set(contact, "Nicola", "Giuseppe", "Fragale",
		      "TheNick", "Prof", "Pref", "title", 
		      "photo", 123456789);
  
  copy = rubrica_contact_copy(contact);
  rubrica_contact_get(copy, &first, &middle, &last, &nick, &prof, &pref, 
		      &title, &photo, &day, &month, &year);
  
  g_print("\n\nNome: %s\nSecondo nome: %s\nCognome: %s\nNick: %s"
	  "\nProfessione: %s\nPrefisso: %s\nTitolo: %s\nFoto: %s"
	  "\ndata di nascita\nGiorno: %s\nMese: %s\nAnno: %s",
	  first, middle, last, nick, prof, pref, 
	  title, photo, day, month, year);

  rubrica_contact_free(contact);
  rubrica_contact_free(copy);
  
  g_print("\n\n\nIt works... ;-)\n\n");

  return 0;
}


